Bug 973614 - Review Coverity report for JBossWS integration in EAP 6.1.x
Review Coverity report for JBossWS integration in EAP 6.1.x
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: EAP 6.2.0
Assigned To: Jim Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 06:54 EDT by Rostislav Svoboda
Modified: 2013-12-15 11:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:07 EST
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rostislav Svoboda 2013-06-12 06:54:43 EDT
http://station5.brq.redhat.com:8080/reports.htm#v10037/p10010
use prepared 'x WS issues' filter, Coverity was updated from 6.0.1 to 6.5.3 so UI is little bit different

Details about Coverity instance in https://docspace.corp.redhat.com/docs/DOC-147930
Comment 2 Jim Ma 2013-09-04 04:47:25 EDT
10301: Not a defect.Both client and deployment manager are closed in RemoteDeployer#executeDeploymentPlan().
11102: Not a defect.IllegaleStatementException will be thrown if there is null value.
10269: will fix. processors is null check is redundante here. 
10261: Won't fix. return value from getDeclaringClass will not be null. The annoatedElement must be field, method or class. Please WSRefAnnotationProcessor#createAnnotatedElement()
10260: will fix. NPE guard is needed. 
10259: Won't fix. VirtualHost should not be null if it's started. 
10258: Won't fix. Proprty name and class are from deployment aspect xml. We can look at add some validation in the xmlstream reader to check if there is invalid property name, class defined. 
10257: Will fix. Will add NPE guard and log the warning message for the invalid hander chain file.
10256: Will fix. Add NPE guard and warning message if servletMD is null.
10249: Won't fix. The init() is executed in the deployment processor(EndpointLifeCyleDeploymentAspect) in one thread. 
10249: Won't fix. UrlPatterns are setting in ContainerMetaDataDeploymentAspect#getServletClassMappings()
10247: Won't fix. It creates the URI with classname which replaced "." with "/", it should be always not null value return.
Comment 3 Jim Ma 2013-09-04 06:14:52 EDT
Looked at 10260 again. It is a won't fix defect. type can always a not empty value. If it can not load the type class, it will throw DeploymentUnitProcessingException.
Comment 4 Rostislav Svoboda 2013-09-12 05:14:23 EDT
Hi Jim, current report is for EAP 6.1.x branch.
I'll create report for 6.x branch and map your analysis to both reports.

I'll let you know if there is anything new in 6.x branch.
Comment 6 Rostislav Svoboda 2013-09-13 05:02:59 EDT
Hi Jim, report for 6.x branch is available on station5.brq.redhat.com:8080/reports.htm#v10037/p10023/

Issues are available under the same ID, only 3 are marked as Bug / to be fixed
10269, 10257, 10256
Comment 7 Rostislav Svoboda 2013-09-20 07:58:01 EDT
Review done, issues fixed, fixes detected by Coverity - http://station5.brq.redhat.com:8080/reports.htm#v10037/p10023 -- status Fixed

Note You need to log in before you can comment on or make changes to this bug.